source: trunk/dports/gnome/libpeas/Portfile @ 115615

Last change on this file since 115615 was 115615, checked in by cal@…, 5 years ago

add gtk3-devel port at the request of devans, rewrite dependencies to be satisfyable using gtk3-devel, closes #42040

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 3.5 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 115615 2014-01-07 00:28:17Z cal@macports.org $
3
4PortSystem          1.0
5
6name                libpeas
7version             1.9.0
8revision            1
9license             LGPL-2
10set branch          [join [lrange [split ${version} .] 0 1] .]
11description         libpeas is a GObject-based plugins engine
12long_description    ${description}
13maintainers         devans openmaintainer
14categories          gnome
15platforms           darwin
16homepage            https://wiki.gnome.org/Projects/Libpeas
17master_sites        gnome:sources/${name}/${branch}/
18
19use_xz              yes
20
21checksums           rmd160  8672bf573e18ed44b3489de08ffcbfabf6ea51ff \
22                    sha256  008747ccdf954dc7b8e3207fffede527a589363541873f906c8e0166f6f7df8d
23
24depends_build       port:pkgconfig \
25                    port:intltool
26
27depends_lib         path:lib/pkgconfig/gtk+-3.0.pc:gtk3 \
28                    port:gobject-introspection \
29                    port:gjs \
30                    port:seed
31
32pre-patch {
33    copy ${worksrcpath}/configure ${worksrcpath}/configure.orig
34}
35
36patchfiles          patch-configure.diff \
37                    patch-loaders-python-peas-plugin-loader-python.c.diff
38
39configure.args      --enable-gtk \
40                    --enable-seed \
41                    --enable-gjs \
42                    --disable-glade-catalog \
43                    --disable-python2 \
44                    --disable-python3 \
45                    --disable-silent-rules
46
47variant glade description {Enable glade catalog support} {
48    depends_lib-append      port:glade
49    configure.args-replace  --disable-glade-catalog --enable-glade-catalog
50}
51
52# supports one version each of python2 python3 in parallel
53
54variant python27 description {Use python 2.7} {
55    depends_lib-append          port:py27-gobject3
56    set python_prefix           ${frameworks_dir}/Python.framework/Versions/2.7
57    configure.pkg_config_path   ${python_prefix}/lib/pkgconfig
58    configure.env-append        PYTHON2=${prefix}/bin/python2.7 \
59                                PYTHON2_CONFIG=${python_prefix}/bin/python-config
60    configure.args-replace      --disable-python2 --enable-python2
61}
62
63# python3 minimum version is 3.2.0
64
65variant python32 conflicts python33 description {Use python 3.2} {
66    depends_lib-append          port:py32-gobject3
67    set python_prefix           ${frameworks_dir}/Python.framework/Versions/3.2
68    configure.pkg_config_path   ${python_prefix}/lib/pkgconfig
69    configure.python            ${prefix}/bin/python3.2
70    configure.env-append        PYTHON3_CONFIG=${prefix}/bin/python3.2-config
71    configure.cflags-append     -L${python_prefix}/lib
72    configure.args-replace      --disable-python3 --enable-python3
73}
74
75variant python33 conflicts python32 description {Use python 3.3} {
76    depends_lib-append          port:py33-gobject3
77    set python_prefix           ${frameworks_dir}/Python.framework/Versions/3.3
78    configure.pkg_config_path   ${python_prefix}/lib/pkgconfig
79    configure.python            ${prefix}/bin/python3.3
80    configure.env-append        PYTHON3_CONFIG=${prefix}/bin/python3.3-config
81    configure.cflags-append     -L${python_prefix}/lib
82    configure.args-replace      --disable-python3 --enable-python3
83}
84
85if {![variant_isset python33]} {
86    default_variants +python27 +python32
87}
88
89post-activate {
90    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
91}
92
93livecheck.type  gnome-with-unstable
Note: See TracBrowser for help on using the repository browser.